summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVi0L02017-04-03 21:13:20 +0200
committerVi0L02017-04-03 21:13:20 +0200
commitcce4cb989bfa3c0ce270582f9346ae44cf08c9cc (patch)
tree73004cadc1680a583c088601e610928906bcd7c9
parentf60003dc7555f6bcad35f2b7538c2fe27d9d95ed (diff)
downloadaur-catalyst-firepro.tar.gz
15.302.2301-5: added mesa-noglvnd dependencies
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD10
2 files changed, 9 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index faf693416be..44d8830b3f8 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = catalyst-firepro
pkgdesc = AMD/ATI drivers for FirePro/GL/MV brand cards. catalyst-dkms + catalyst-utils + lib32-catalyst-utils + experimental powerXpress suppport.
pkgver = 15.302.2301
- pkgrel = 4
+ pkgrel = 5
url = http://www.amd.com
install = catalyst-firepro.install
arch = i686
@@ -23,7 +23,7 @@ pkgbase = catalyst-firepro
depends = make
depends = patch
depends = libxinerama
- depends = mesa
+ depends = mesa-noglvnd
optdepends = qt4: to run ATi Catalyst Control Center (amdcccle)
optdepends = libxxf86vm: to run ATi Catalyst Control Center (amdcccle)
optdepends = opencl-headers: headers necessary for OpenCL development
@@ -56,6 +56,8 @@ pkgbase = catalyst-firepro
conflicts = libgles
conflicts = libegl
conflicts = opencl-amd
+ conflicts = catalyst-control
+ conflicts = libglvnd
options = staticlibs
options = libtool
options = !strip
diff --git a/PKGBUILD b/PKGBUILD
index a4ea26f27d6..e569374c024 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -29,7 +29,7 @@
pkgname=catalyst-firepro
pkgver=15.302.2301
-pkgrel=4
+pkgrel=5
# _betano=1.0
# _amdver=15.302
pkgdesc="AMD/ATI drivers for FirePro/GL/MV brand cards. catalyst-dkms + catalyst-utils + lib32-catalyst-utils + experimental powerXpress suppport."
@@ -37,14 +37,14 @@ arch=('i686' 'x86_64')
url="http://www.amd.com"
license=('custom')
options=('staticlibs' 'libtool' '!strip' '!upx')
-depends=('dkms' 'linux>=3.0' 'linux<4.11' 'linux-headers' 'xorg-server>=1.7.0' 'xorg-server<1.18.0' 'libxrandr' 'libsm' 'fontconfig' 'libxcursor' 'libxi' 'gcc-libs' 'gcc>4.0.0' 'make' 'patch' 'libxinerama' 'mesa')
+depends=('dkms' 'linux>=3.0' 'linux<4.11' 'linux-headers' 'xorg-server>=1.7.0' 'xorg-server<1.18.0' 'libxrandr' 'libsm' 'fontconfig' 'libxcursor' 'libxi' 'gcc-libs' 'gcc>4.0.0' 'make' 'patch' 'libxinerama' 'mesa-noglvnd')
optdepends=('qt4: to run ATi Catalyst Control Center (amdcccle)'
'libxxf86vm: to run ATi Catalyst Control Center (amdcccle)'
'opencl-headers: headers necessary for OpenCL development'
'acpid: acpi event support / atieventsd'
'procps-ng: brings pgrep used in acpi event support'
'opencl-icd-loader: OpenCL ICD Bindings')
-conflicts=('libgl' 'catalyst' 'catalyst-daemon' 'catalyst-generator' 'catalyst-dkms' 'catalyst-utils' 'catalyst-dkms' 'mesa-libgl' 'mesa-libgl-git' 'libgles' 'libegl' 'opencl-amd')
+conflicts=('libgl' 'catalyst' 'catalyst-daemon' 'catalyst-generator' 'catalyst-dkms' 'catalyst-utils' 'catalyst-dkms' 'mesa-libgl' 'mesa-libgl-git' 'libgles' 'libegl' 'opencl-amd' 'catalyst-control' 'libglvnd')
provides=('libgl' "libatical=${pkgver}" "catalyst=${pkgver}" "catalyst-utils=${pkgver}" "catalyst-dkms=${pkgver}" "catalyst-libgl=${pkgver}" "opencl-catalyst=${pkgver}" 'dri' 'libtxc_dxtn' 'mesa-libgl' 'mesa-libgl-git' 'opencl-driver' 'libgles' 'libegl')
if [ "${CARCH}" = "x86_64" ]; then
@@ -52,8 +52,8 @@ if [ "${CARCH}" = "x86_64" ]; then
warning "[multilib] repository must be uncommented in /etc/pacman.conf to add lib32-catalyst-utils into the package"
if [[ `cat /etc/pacman.conf | grep -c "#\[multilib]"` = 0 ]]; then
warning "OK, lib32-catalyst-utils will be added to the package"
- depends+=('lib32-libxext' 'lib32-libdrm' 'lib32-libxinerama' 'lib32-mesa')
- conflicts+=('lib32-libgl' 'lib32-catalyst-utils' 'lib32-mesa-libgl' 'lib32-mesa-libgl-git' 'lib32-libgles' 'lib32-libegl' 'lib32-opencl-amd')
+ depends+=('lib32-libxext' 'lib32-libdrm' 'lib32-libxinerama' 'lib32-mesa-noglvnd')
+ conflicts+=('lib32-libgl' 'lib32-catalyst-utils' 'lib32-mesa-libgl' 'lib32-mesa-libgl-git' 'lib32-libgles' 'lib32-libegl' 'lib32-opencl-amd' 'lib32-libglvnd')
provides+=('lib32-libgl' "lib32-catalyst-utils=${pkgver}" "lib32-catalyst-libgl=${pkgver}" "lib32-opencl-catalyst=${pkgver}" 'lib32-dri' 'lib32-libtxc_dxtn' 'lib32-mesa-libgl' 'lib32-mesa-libgl-git' 'lib32-opencl-driver' 'lib32-libgles' 'lib32-libegl')
optdepends+=('lib32-opencl-icd-loader: OpenCL ICD Bindings (32-bit)')
else